import { Instance, SnapshotIn, SnapshotOut } from 'mobx-state-tree';
declare const SideModel: import("mobx-state-tree").IModelType<{
    inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
        width: import("mobx-state-tree").ISimpleType<number>;
        height: import("mobx-state-tree").ISimpleType<number>;
        type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
        cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
            id: import("mobx-state-tree").ISimpleType<number>;
            diameter: import("mobx-state-tree").ISimpleType<number>;
        }, {
            readonly strokeWidth: number;
            readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>;
        } & {
            remove(): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    }, {
        readonly cablesTotalWidth: number;
    } & {
        addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
            id: import("mobx-state-tree").ISimpleType<number>;
            diameter: import("mobx-state-tree").ISimpleType<number>;
        }>): void;
        removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
            id: import("mobx-state-tree").ISimpleType<number>;
            diameter: import("mobx-state-tree").ISimpleType<number>;
        }>): void;
        setInputType(type: import("../../common/Input/types").InputUIType): void;
        changeWidth(value: number): void;
        setInputWidth(value: number): void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    name: import("mobx-state-tree").ISimpleType<string>;
}, {
    readonly sideOptions: {
        x1: number;
        y1: number;
        x2: number;
        y2: number;
        angle: number;
        scaleY: number;
        length: number;
    } | {
        x1: number;
        y1: number;
        x2: number;
        y2: number;
        angle: number;
        scaleY: number;
        length: number;
    } | {
        x1: number;
        y1: number;
        x2: number;
        y2: number;
        angle: number;
        scaleY: number;
        length: number;
    } | {
        x1: number;
        y1: number;
        x2: number;
        y2: number;
        angle: number;
        scaleY: number;
        length: number;
    } | {
        x1: number;
        y1: any;
        x2: number;
        y2: any;
        angle: number;
        scaleY: number;
        length: number;
    };
    readonly totalWidth: number;
    readonly interval: number;
    readonly unknownInputInterval: number;
    readonly cableBunchInterval: number;
    readonly cableBunchHeight: number;
    readonly inputsCoordinates: number[];
    calculateStaticElementsCoords(fastenerWidth: number, fastenersCount: number): number[];
    fastenersCoords(fastenerWidth: number): number[];
    hingeCoords(hingeWidth: any): number[];
}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
declare const SidesModel: import("mobx-state-tree").IModelType<{
    top: import("mobx-state-tree").IModelType<{
        inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
            width: import("mobx-state-tree").ISimpleType<number>;
            height: import("mobx-state-tree").ISimpleType<number>;
            type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
            cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }, {
                readonly strokeWidth: number;
                readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>;
            } & {
                remove(): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        }, {
            readonly cablesTotalWidth: number;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            setInputType(type: import("../../common/Input/types").InputUIType): void;
            changeWidth(value: number): void;
            setInputWidth(value: number): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        name: import("mobx-state-tree").ISimpleType<string>;
    }, {
        readonly sideOptions: {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: any;
            x2: number;
            y2: any;
            angle: number;
            scaleY: number;
            length: number;
        };
        readonly totalWidth: number;
        readonly interval: number;
        readonly unknownInputInterval: number;
        readonly cableBunchInterval: number;
        readonly cableBunchHeight: number;
        readonly inputsCoordinates: number[];
        calculateStaticElementsCoords(fastenerWidth: number, fastenersCount: number): number[];
        fastenersCoords(fastenerWidth: number): number[];
        hingeCoords(hingeWidth: any): number[];
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    right: import("mobx-state-tree").IModelType<{
        inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
            width: import("mobx-state-tree").ISimpleType<number>;
            height: import("mobx-state-tree").ISimpleType<number>;
            type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
            cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }, {
                readonly strokeWidth: number;
                readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>;
            } & {
                remove(): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        }, {
            readonly cablesTotalWidth: number;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            setInputType(type: import("../../common/Input/types").InputUIType): void;
            changeWidth(value: number): void;
            setInputWidth(value: number): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        name: import("mobx-state-tree").ISimpleType<string>;
    }, {
        readonly sideOptions: {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: any;
            x2: number;
            y2: any;
            angle: number;
            scaleY: number;
            length: number;
        };
        readonly totalWidth: number;
        readonly interval: number;
        readonly unknownInputInterval: number;
        readonly cableBunchInterval: number;
        readonly cableBunchHeight: number;
        readonly inputsCoordinates: number[];
        calculateStaticElementsCoords(fastenerWidth: number, fastenersCount: number): number[];
        fastenersCoords(fastenerWidth: number): number[];
        hingeCoords(hingeWidth: any): number[];
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    bottom: import("mobx-state-tree").IModelType<{
        inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
            width: import("mobx-state-tree").ISimpleType<number>;
            height: import("mobx-state-tree").ISimpleType<number>;
            type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
            cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }, {
                readonly strokeWidth: number;
                readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>;
            } & {
                remove(): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        }, {
            readonly cablesTotalWidth: number;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            setInputType(type: import("../../common/Input/types").InputUIType): void;
            changeWidth(value: number): void;
            setInputWidth(value: number): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        name: import("mobx-state-tree").ISimpleType<string>;
    }, {
        readonly sideOptions: {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: any;
            x2: number;
            y2: any;
            angle: number;
            scaleY: number;
            length: number;
        };
        readonly totalWidth: number;
        readonly interval: number;
        readonly unknownInputInterval: number;
        readonly cableBunchInterval: number;
        readonly cableBunchHeight: number;
        readonly inputsCoordinates: number[];
        calculateStaticElementsCoords(fastenerWidth: number, fastenersCount: number): number[];
        fastenersCoords(fastenerWidth: number): number[];
        hingeCoords(hingeWidth: any): number[];
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    left: import("mobx-state-tree").IModelType<{
        inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
            width: import("mobx-state-tree").ISimpleType<number>;
            height: import("mobx-state-tree").ISimpleType<number>;
            type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
            cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }, {
                readonly strokeWidth: number;
                readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>;
            } & {
                remove(): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        }, {
            readonly cablesTotalWidth: number;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            setInputType(type: import("../../common/Input/types").InputUIType): void;
            changeWidth(value: number): void;
            setInputWidth(value: number): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        name: import("mobx-state-tree").ISimpleType<string>;
    }, {
        readonly sideOptions: {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: any;
            x2: number;
            y2: any;
            angle: number;
            scaleY: number;
            length: number;
        };
        readonly totalWidth: number;
        readonly interval: number;
        readonly unknownInputInterval: number;
        readonly cableBunchInterval: number;
        readonly cableBunchHeight: number;
        readonly inputsCoordinates: number[];
        calculateStaticElementsCoords(fastenerWidth: number, fastenersCount: number): number[];
        fastenersCoords(fastenerWidth: number): number[];
        hingeCoords(hingeWidth: any): number[];
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    unknown: import("mobx-state-tree").IModelType<{
        inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
            width: import("mobx-state-tree").ISimpleType<number>;
            height: import("mobx-state-tree").ISimpleType<number>;
            type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
            cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }, {
                readonly strokeWidth: number;
                readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>;
            } & {
                remove(): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        }, {
            readonly cablesTotalWidth: number;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            setInputType(type: import("../../common/Input/types").InputUIType): void;
            changeWidth(value: number): void;
            setInputWidth(value: number): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        name: import("mobx-state-tree").ISimpleType<string>;
    }, {
        readonly sideOptions: {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: any;
            x2: number;
            y2: any;
            angle: number;
            scaleY: number;
            length: number;
        };
        readonly totalWidth: number;
        readonly interval: number;
        readonly unknownInputInterval: number;
        readonly cableBunchInterval: number;
        readonly cableBunchHeight: number;
        readonly inputsCoordinates: number[];
        calculateStaticElementsCoords(fastenerWidth: number, fastenersCount: number): number[];
        fastenersCoords(fastenerWidth: number): number[];
        hingeCoords(hingeWidth: any): number[];
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
}, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
declare const DimensionsModel: import("mobx-state-tree").IModelType<{
    width: import("mobx-state-tree").ISimpleType<number>;
    height: import("mobx-state-tree").ISimpleType<number>;
}, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
export declare const FeatureModel: import("mobx-state-tree").IModelType<{
    sides: import("mobx-state-tree").IModelType<{
        top: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: any;
                x2: number;
                y2: any;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unknownInputInterval: number;
            readonly cableBunchInterval: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
            calculateStaticElementsCoords(fastenerWidth: number, fastenersCount: number): number[];
            fastenersCoords(fastenerWidth: number): number[];
            hingeCoords(hingeWidth: any): number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        right: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: any;
                x2: number;
                y2: any;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unknownInputInterval: number;
            readonly cableBunchInterval: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
            calculateStaticElementsCoords(fastenerWidth: number, fastenersCount: number): number[];
            fastenersCoords(fastenerWidth: number): number[];
            hingeCoords(hingeWidth: any): number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        bottom: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: any;
                x2: number;
                y2: any;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unknownInputInterval: number;
            readonly cableBunchInterval: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
            calculateStaticElementsCoords(fastenerWidth: number, fastenersCount: number): number[];
            fastenersCoords(fastenerWidth: number): number[];
            hingeCoords(hingeWidth: any): number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        left: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: any;
                x2: number;
                y2: any;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unknownInputInterval: number;
            readonly cableBunchInterval: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
            calculateStaticElementsCoords(fastenerWidth: number, fastenersCount: number): number[];
            fastenersCoords(fastenerWidth: number): number[];
            hingeCoords(hingeWidth: any): number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        unknown: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: any;
                x2: number;
                y2: any;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unknownInputInterval: number;
            readonly cableBunchInterval: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
            calculateStaticElementsCoords(fastenerWidth: number, fastenersCount: number): number[];
            fastenersCoords(fastenerWidth: number): number[];
            hingeCoords(hingeWidth: any): number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    dimensions: import("mobx-state-tree").IModelType<{
        width: import("mobx-state-tree").ISimpleType<number>;
        height: import("mobx-state-tree").ISimpleType<number>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
}, {
    readonly corner: number;
    readonly allInputsTotalWidth: number;
    readonly svgSizes: {
        width: number;
        height: number;
    };
    getSerializableData(): {
        inputs: Record<string, any>;
        unknownInput: any;
        dimensions: import("mobx-state-tree").ModelSnapshotType<{
            width: import("mobx-state-tree").ISimpleType<number>;
            height: import("mobx-state-tree").ISimpleType<number>;
        }>;
    };
}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
export declare type FeatureModelType = Instance<typeof FeatureModel>;
export declare type FeatureSnapshotInType = SnapshotIn<typeof FeatureModel>;
export declare type FeatureSnapshotOutType = SnapshotOut<typeof FeatureModel>;
export declare type SideModelType = Instance<typeof SideModel>;
export declare type SideSnapshotInType = SnapshotIn<typeof SideModel>;
export declare type SideSnapshotOutType = SnapshotOut<typeof SideModel>;
export declare type SidesModelType = Instance<typeof SidesModel>;
export declare type SidesSnapshotInType = SnapshotIn<typeof SidesModel>;
export declare type SidesSnapshotOutType = SnapshotOut<typeof SidesModel>;
export declare type DimensionsModelType = Instance<typeof DimensionsModel>;
export declare type DimensionsSnapshotInType = SnapshotIn<typeof DimensionsModel>;
export declare type DimensionsSnapshotOutType = SnapshotOut<typeof DimensionsModel>;
export {};
