import { Instance, SnapshotIn, SnapshotOut } from 'mobx-state-tree';
import { CableSnapshotOutType } from '../../common/Input/store';
export declare const InputModel: import("mobx-state-tree").IModelType<{
    width: import("mobx-state-tree").ISimpleType<number>;
    height: import("mobx-state-tree").ISimpleType<number>;
    type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
    cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
        id: import("mobx-state-tree").ISimpleType<number>;
        diameter: import("mobx-state-tree").ISimpleType<number>;
    }, {
        readonly strokeWidth: number;
        readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
            id: import("mobx-state-tree").ISimpleType<number>;
            diameter: import("mobx-state-tree").ISimpleType<number>;
        }>;
    } & {
        remove(): void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
}, {
    readonly cablesTotalWidth: number;
} & {
    addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
        id: import("mobx-state-tree").ISimpleType<number>;
        diameter: import("mobx-state-tree").ISimpleType<number>;
    }>): void;
    removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
        id: import("mobx-state-tree").ISimpleType<number>;
        diameter: import("mobx-state-tree").ISimpleType<number>;
    }>): void;
    setInputType(type: import("../../common/Input/types").InputUIType): void;
    changeWidth(value: number): void;
    setInputWidth(value: number): void;
} & {
    readonly isFull: boolean;
} & {
    addCable(cable: CableSnapshotOutType): void;
}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
declare const SideModel: import("mobx-state-tree").IModelType<{
    input: import("mobx-state-tree").IModelType<{
        width: import("mobx-state-tree").ISimpleType<number>;
        height: import("mobx-state-tree").ISimpleType<number>;
        type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
        cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
            id: import("mobx-state-tree").ISimpleType<number>;
            diameter: import("mobx-state-tree").ISimpleType<number>;
        }, {
            readonly strokeWidth: number;
            readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>;
        } & {
            remove(): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    }, {
        readonly cablesTotalWidth: number;
    } & {
        addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
            id: import("mobx-state-tree").ISimpleType<number>;
            diameter: import("mobx-state-tree").ISimpleType<number>;
        }>): void;
        removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
            id: import("mobx-state-tree").ISimpleType<number>;
            diameter: import("mobx-state-tree").ISimpleType<number>;
        }>): void;
        setInputType(type: import("../../common/Input/types").InputUIType): void;
        changeWidth(value: number): void;
        setInputWidth(value: number): void;
    } & {
        readonly isFull: boolean;
    } & {
        addCable(cable: CableSnapshotOutType): void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    name: import("mobx-state-tree").IType<string | undefined, string, string>;
}, {
    readonly cableBunchInterval: number;
    readonly cableBunchHeight: number;
    readonly interval: number;
}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
declare const DimensionsModel: import("mobx-state-tree").IModelType<{
    width: import("mobx-state-tree").ISimpleType<number>;
    height: import("mobx-state-tree").ISimpleType<number>;
}, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
export declare const FeatureModel: import("mobx-state-tree").IModelType<{
    dimensions: import("mobx-state-tree").IModelType<{
        width: import("mobx-state-tree").ISimpleType<number>;
        height: import("mobx-state-tree").ISimpleType<number>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    side: import("mobx-state-tree").IModelType<{
        input: import("mobx-state-tree").IModelType<{
            width: import("mobx-state-tree").ISimpleType<number>;
            height: import("mobx-state-tree").ISimpleType<number>;
            type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
            cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }, {
                readonly strokeWidth: number;
                readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>;
            } & {
                remove(): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        }, {
            readonly cablesTotalWidth: number;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            setInputType(type: import("../../common/Input/types").InputUIType): void;
            changeWidth(value: number): void;
            setInputWidth(value: number): void;
        } & {
            readonly isFull: boolean;
        } & {
            addCable(cable: CableSnapshotOutType): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        name: import("mobx-state-tree").IType<string | undefined, string, string>;
    }, {
        readonly cableBunchInterval: number;
        readonly cableBunchHeight: number;
        readonly interval: number;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
}, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
export declare type SideModelType = Instance<typeof SideModel>;
export declare type SideSnapshotInType = SnapshotIn<typeof SideModel>;
export declare type SideSnapshotOutType = SnapshotOut<typeof SideModel>;
export declare type DimensionsModelType = Instance<typeof DimensionsModel>;
export declare type DimensionsSnapshotInType = SnapshotIn<typeof DimensionsModel>;
export declare type DimensionsSnapshotOutType = SnapshotOut<typeof DimensionsModel>;
export declare type FeatureModelType = Instance<typeof FeatureModel>;
export declare type FeatureSnapshotInType = SnapshotIn<typeof FeatureModel>;
export declare type FeatureSnapshotOutType = SnapshotOut<typeof FeatureModel>;
export {};
