import { Instance, SnapshotIn, SnapshotOut } from 'mobx-state-tree';
import { InputUIType } from './types';
export declare const CableModel: import("mobx-state-tree").IModelType<{
    id: import("mobx-state-tree").ISimpleType<number>;
    diameter: import("mobx-state-tree").ISimpleType<number>;
}, {
    readonly strokeWidth: number;
    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
        id: import("mobx-state-tree").ISimpleType<number>;
        diameter: import("mobx-state-tree").ISimpleType<number>;
    }>;
} & {
    remove(): void;
}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
export declare const InputModel: import("mobx-state-tree").IModelType<{
    width: import("mobx-state-tree").ISimpleType<number>;
    height: import("mobx-state-tree").ISimpleType<number>;
    type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
    cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
        id: import("mobx-state-tree").ISimpleType<number>;
        diameter: import("mobx-state-tree").ISimpleType<number>;
    }, {
        readonly strokeWidth: number;
        readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
            id: import("mobx-state-tree").ISimpleType<number>;
            diameter: import("mobx-state-tree").ISimpleType<number>;
        }>;
    } & {
        remove(): void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
}, {
    readonly cablesTotalWidth: number;
} & {
    addCable(cable: CableSnapshotOutType): void;
    removeCable(cable: CableSnapshotOutType): void;
    setInputType(type: InputUIType): void;
    changeWidth(value: number): void;
    setInputWidth(value: number): void;
}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
export declare type InputModelType = Instance<typeof InputModel>;
export declare type InputSnapshotInType = SnapshotIn<typeof InputModel>;
export declare type InputSnapshotOutType = SnapshotOut<typeof InputModel>;
export declare type CableModelType = Instance<typeof CableModel>;
export declare type CableSnapshotInType = SnapshotIn<typeof CableModel>;
export declare type CableSnapshotOutType = SnapshotOut<typeof CableModel>;
