import { Instance, SnapshotOut, SnapshotIn } from 'mobx-state-tree';
import { CableSnapshotOutType, InputModel } from '../../common/Input/store';
export * from '../../common/Input/store';
export declare const CabinetInput: import("mobx-state-tree").IModelType<{
    width: import("mobx-state-tree").ISimpleType<number>;
    height: import("mobx-state-tree").ISimpleType<number>;
    type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
    cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
        id: import("mobx-state-tree").ISimpleType<number>;
        diameter: import("mobx-state-tree").ISimpleType<number>;
    }, {
        readonly strokeWidth: number;
        readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
            id: import("mobx-state-tree").ISimpleType<number>;
            diameter: import("mobx-state-tree").ISimpleType<number>;
        }>;
    } & {
        remove(): void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
}, {
    readonly cablesTotalWidth: number;
} & {
    addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
        id: import("mobx-state-tree").ISimpleType<number>;
        diameter: import("mobx-state-tree").ISimpleType<number>;
    }>): void;
    removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
        id: import("mobx-state-tree").ISimpleType<number>;
        diameter: import("mobx-state-tree").ISimpleType<number>;
    }>): void;
    setInputType(type: import("../../common/Input/types").InputUIType): void;
    changeWidth(value: number): void;
    setInputWidth(value: number): void;
} & {
    readonly isFull: boolean;
} & {
    addCable(cable: CableSnapshotOutType): void;
}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
declare const Side: import("mobx-state-tree").IModelType<{
    inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
        width: import("mobx-state-tree").ISimpleType<number>;
        height: import("mobx-state-tree").ISimpleType<number>;
        type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
        cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
            id: import("mobx-state-tree").ISimpleType<number>;
            diameter: import("mobx-state-tree").ISimpleType<number>;
        }, {
            readonly strokeWidth: number;
            readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>;
        } & {
            remove(): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    }, {
        readonly cablesTotalWidth: number;
    } & {
        addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
            id: import("mobx-state-tree").ISimpleType<number>;
            diameter: import("mobx-state-tree").ISimpleType<number>;
        }>): void;
        removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
            id: import("mobx-state-tree").ISimpleType<number>;
            diameter: import("mobx-state-tree").ISimpleType<number>;
        }>): void;
        setInputType(type: import("../../common/Input/types").InputUIType): void;
        changeWidth(value: number): void;
        setInputWidth(value: number): void;
    } & {
        readonly isFull: boolean;
    } & {
        addCable(cable: CableSnapshotOutType): void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    name: import("mobx-state-tree").ISimpleType<string>;
}, {
    readonly sideOptions: {
        x1: number;
        y1: number;
        x2: number;
        y2: number;
        angle: number;
        scaleY: number;
        length: number;
    } | {
        x1: number;
        y1: number;
        x2: number;
        y2: number;
        angle: number;
        scaleY: number;
        length: number;
    } | {
        x1: number;
        y1: number;
        x2: number;
        y2: number;
        angle: number;
        scaleY: number;
        length: number;
    } | {
        x1: number;
        y1: number;
        x2: number;
        y2: number;
        angle: number;
        scaleY: number;
        length: number;
    };
    readonly totalWidth: number;
    readonly interval: number;
    readonly unLimitedInputInterval: any;
    readonly cableBunchInterval: number;
    readonly margin: number;
    readonly cableBunchHeight: number;
    readonly inputsCoordinates: number[];
}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
declare const Sides: import("mobx-state-tree").IModelType<{
    top: import("mobx-state-tree").IModelType<{
        inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
            width: import("mobx-state-tree").ISimpleType<number>;
            height: import("mobx-state-tree").ISimpleType<number>;
            type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
            cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }, {
                readonly strokeWidth: number;
                readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>;
            } & {
                remove(): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        }, {
            readonly cablesTotalWidth: number;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            setInputType(type: import("../../common/Input/types").InputUIType): void;
            changeWidth(value: number): void;
            setInputWidth(value: number): void;
        } & {
            readonly isFull: boolean;
        } & {
            addCable(cable: CableSnapshotOutType): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        name: import("mobx-state-tree").ISimpleType<string>;
    }, {
        readonly sideOptions: {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        };
        readonly totalWidth: number;
        readonly interval: number;
        readonly unLimitedInputInterval: any;
        readonly cableBunchInterval: number;
        readonly margin: number;
        readonly cableBunchHeight: number;
        readonly inputsCoordinates: number[];
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    right: import("mobx-state-tree").IModelType<{
        inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
            width: import("mobx-state-tree").ISimpleType<number>;
            height: import("mobx-state-tree").ISimpleType<number>;
            type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
            cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }, {
                readonly strokeWidth: number;
                readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>;
            } & {
                remove(): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        }, {
            readonly cablesTotalWidth: number;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            setInputType(type: import("../../common/Input/types").InputUIType): void;
            changeWidth(value: number): void;
            setInputWidth(value: number): void;
        } & {
            readonly isFull: boolean;
        } & {
            addCable(cable: CableSnapshotOutType): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        name: import("mobx-state-tree").ISimpleType<string>;
    }, {
        readonly sideOptions: {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        };
        readonly totalWidth: number;
        readonly interval: number;
        readonly unLimitedInputInterval: any;
        readonly cableBunchInterval: number;
        readonly margin: number;
        readonly cableBunchHeight: number;
        readonly inputsCoordinates: number[];
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    bottom: import("mobx-state-tree").IModelType<{
        inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
            width: import("mobx-state-tree").ISimpleType<number>;
            height: import("mobx-state-tree").ISimpleType<number>;
            type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
            cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }, {
                readonly strokeWidth: number;
                readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>;
            } & {
                remove(): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        }, {
            readonly cablesTotalWidth: number;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            setInputType(type: import("../../common/Input/types").InputUIType): void;
            changeWidth(value: number): void;
            setInputWidth(value: number): void;
        } & {
            readonly isFull: boolean;
        } & {
            addCable(cable: CableSnapshotOutType): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        name: import("mobx-state-tree").ISimpleType<string>;
    }, {
        readonly sideOptions: {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        };
        readonly totalWidth: number;
        readonly interval: number;
        readonly unLimitedInputInterval: any;
        readonly cableBunchInterval: number;
        readonly margin: number;
        readonly cableBunchHeight: number;
        readonly inputsCoordinates: number[];
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    left: import("mobx-state-tree").IModelType<{
        inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
            width: import("mobx-state-tree").ISimpleType<number>;
            height: import("mobx-state-tree").ISimpleType<number>;
            type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
            cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }, {
                readonly strokeWidth: number;
                readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>;
            } & {
                remove(): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        }, {
            readonly cablesTotalWidth: number;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            setInputType(type: import("../../common/Input/types").InputUIType): void;
            changeWidth(value: number): void;
            setInputWidth(value: number): void;
        } & {
            readonly isFull: boolean;
        } & {
            addCable(cable: CableSnapshotOutType): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        name: import("mobx-state-tree").ISimpleType<string>;
    }, {
        readonly sideOptions: {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        } | {
            x1: number;
            y1: number;
            x2: number;
            y2: number;
            angle: number;
            scaleY: number;
            length: number;
        };
        readonly totalWidth: number;
        readonly interval: number;
        readonly unLimitedInputInterval: any;
        readonly cableBunchInterval: number;
        readonly margin: number;
        readonly cableBunchHeight: number;
        readonly inputsCoordinates: number[];
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
}, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
declare const Dimensions: import("mobx-state-tree").IModelType<{
    width: import("mobx-state-tree").ISimpleType<number>;
    height: import("mobx-state-tree").ISimpleType<number>;
}, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
export declare const FeatureModel: import("mobx-state-tree").IModelType<{
    dimensions: import("mobx-state-tree").IModelType<{
        width: import("mobx-state-tree").ISimpleType<number>;
        height: import("mobx-state-tree").ISimpleType<number>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    sides: import("mobx-state-tree").IModelType<{
        top: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: CableSnapshotOutType): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        right: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: CableSnapshotOutType): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        bottom: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: CableSnapshotOutType): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        left: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: CableSnapshotOutType): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
}, {
    readonly svgSizes: {
        width: number;
        height: number;
    };
}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
export declare type InputSnapshotType = SnapshotOut<typeof InputModel>;
export declare type SideSnapshotType = SnapshotOut<typeof Side>;
export declare type SidesSnapshotType = SnapshotOut<typeof Sides>;
export declare type DimensionsSnapshotType = SnapshotOut<typeof Dimensions>;
export declare type SideModelType = Instance<typeof Side>;
export declare type SidesType = Instance<typeof Sides>;
export declare type FeatureModelType = Instance<typeof FeatureModel>;
export declare type FeatureSnapshotInType = SnapshotIn<typeof FeatureModel>;
export declare type FeatureSnapshotOutType = SnapshotOut<typeof FeatureModel>;
