import { IModelType, Instance, SnapshotIn } from 'mobx-state-tree';
import CableHistoryStore from './CableHistoryStore';
import { CableSnapshotOutType, InputModelType } from '../Input/store';
export declare type ExternalEvent = 'onAddCable';
export interface CoreStoreProps<FeatureModel> {
    featureModel: FeatureModel;
    featureInitialData: any;
}
declare class CoreStore<FeatureModel extends IModelType<any, any, any, any>> {
    featureModel: FeatureModel;
    feature: Instance<FeatureModel>;
    cablesHistory: CableHistoryStore;
    featureCable: CableSnapshotOutType | null;
    events: Record<ExternalEvent, Function>;
    constructor(props: CoreStoreProps<FeatureModel>);
    initElement(data: SnapshotIn<FeatureModel>): void;
    setFeatureCable(cable: CableSnapshotOutType): void;
    addEvent(event: ExternalEvent, handler: Function): void;
    addCable(sideName: string, input: InputModelType): void;
}
export declare type CoreStoreType<FeatureModel extends IModelType<any, any, any, any>> = CoreStore<FeatureModel>;
export default CoreStore;
